MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006091ardourbugspublic2014-12-27 04:522015-11-12 14:10
Reportermikkl 
Assigned Totimbyr 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.X git (version in description) 
Summary0006091: Ardour crashes when pressing "OK" or "Apply" in Audio/Midi Setup dialog
DescriptionArdour (3.5.4086) crashes when pressing "OK" or "Apply" in Audio/Midi Setup dialog. No setting needs to be changed for the error to trigger. Pressing "Cancel" is the only way to exit the dialog without crash. The problem seems to be different for "OK" and "Apply" so i have attached two crash logs.
TagsNo tags attached.
Attached Fileslog file icon ardour-amsetup-crash-on-ok.log [^] (37,196 bytes) 2014-12-27 04:52
log file icon ardour-amsetup-crash-on-apply.log [^] (37,276 bytes) 2014-12-27 04:53
log file icon ardour-amsetup-crash.log [^] (48,362 bytes) 2014-12-27 07:14

- Relationships

-  Notes
(0016115)
mikkl (reporter)
2014-12-27 04:56

Sorry, had another look at the logs and it seems to be the SAME problem for BOTH buttons.
(0016116)
x42 (administrator)
2014-12-27 05:58

Sadly the backtraces are useless because glib on you system is optimized (no debug symbols).

The crash seems to come from libglibmm on your system. It wants to log a warning and fails to construct it. "unhandled exception (type std::exception)" this message is not from ardour.

Please try to reproduce with a debug-build from http://nightly.ardour.org/ [^]
(those include the complete library stack, incl glib)
(0016117)
mikkl (reporter)
2014-12-27 07:13

Sorry for the useless information. I've tested the nightly and the crash doesn't occur there. I attached another log with as much debug information as possible from my glib. Hope that helps.
(0016118)
x42 (administrator)
2014-12-27 07:32

mmh. It's all in gtk/glib (thread 1 at the end of the backtrace).

the cause is "Gtk::Dialog_Class::response_callback" from /usr/lib64/libgtkmm-2.4.so.1 line 542 in ardour-amsetup-crash.log.

Ardour is not directly involved. All the calls are inside various g* libs.

It must be an issue with gtk/gtkmm/glib on your system. Best guess: The versions you use are not API/ABI compatible. e.g. gtk was compiled with one version of glib and gtkmm with another, or some other version [in]compatibility issue exists in the g* stack on your system.

I cannot reproduce this on debian nor with the custom 'from-scratch' stack
https://nightly.ardour.org/list.php#build_deps [^]
(0016153)
mikkl (reporter)
2014-12-29 10:21

So, my g* was recently updated to:

 glib-2.42.1
 gtk+-2.24.25
 gtkmm-2.24.4

and the error is still there. I also tried some older version.

Well, I don't know if I did it in the same way as in my last note, but now I can also reproduce it with the nightly debug-build. What is also important is that the error does only occur if JACK is started externally, but not when it is started from within Ardour.
(0017604)
timbyr (developer)
2015-11-12 05:42

There have been many fixes in the AudioSetup since this bug report was filed.

Can the reporter please confirm whether or not it is still an issue.

Thanks.
(0017606)
mikkl (reporter)
2015-11-12 10:00

Hey, this seems to be fixed! No crash anymore. Thanks!

- Issue History
Date Modified Username Field Change
2014-12-27 04:52 mikkl New Issue
2014-12-27 04:52 mikkl File Added: ardour-amsetup-crash-on-ok.log
2014-12-27 04:53 mikkl File Added: ardour-amsetup-crash-on-apply.log
2014-12-27 04:56 mikkl Note Added: 0016115
2014-12-27 05:58 x42 Note Added: 0016116
2014-12-27 07:13 mikkl Note Added: 0016117
2014-12-27 07:14 mikkl File Added: ardour-amsetup-crash.log
2014-12-27 07:32 x42 Note Added: 0016118
2014-12-29 10:21 mikkl Note Added: 0016153
2015-11-12 05:42 timbyr Note Added: 0017604
2015-11-12 10:00 mikkl Note Added: 0017606
2015-11-12 14:10 timbyr Status new => resolved
2015-11-12 14:10 timbyr Fixed in Version => 4.X git (version in description)
2015-11-12 14:10 timbyr Resolution open => fixed
2015-11-12 14:10 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker